## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com/

transfers

/{id}

### cURL

```
curl -X GET https://api-sandbox.dwolla.com/transfers/15c6bcce-46f7-e811-8112-e8dd3bececa8\
-H "Accept: application/vnd.dwolla.v1.hal+json"\
-H "Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY"
```

### Code Examples
#### Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
```javascript
var transferUrl =
  "https://api-sandbox.dwolla.com/transfers/15c6bcce-46f7-e811-8112-e8dd3bececa8";

dwolla.get(transferUrl).then((res) => res.body.status); // => 'pending'
```

#### Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
```python
transfer_url = 'https://api-sandbox.dwolla.com/transfers/15c6bcce-46f7-e811-8112-e8dd3bececa8'

transfer = account_token.get(transfer_url)
transfer.body['status'] # => 'pending'
```

#### Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
```php
$transferUrl = 'https://api-sandbox.dwolla.com/transfers/15c6bcce-46f7-e811-8112-e8dd3bececa8';

$transfersApi = new DwollaSwagger\TransfersApi($apiClient);

$transfer = $transfersApi->byId($transferUrl);
$transfer->status; # => "pending"
```

#### Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
```ruby
transfer_url = 'https://api.dwolla.com/transfers/15c6bcce-46f7-e811-8112-e8dd3bececa8'

transfer = app_token.get transfer_url
transfer.status # => "pending"
```

### Response

#### Status Codes
- **200**
- **404**

### Successful Response Example
```
{
  "_links": {},
  "id": "15c6bcce-46f7-e811-8112-e8dd3bececa8",
  "status": "pending",
  "amount": {
    "value": "42.00",
    "currency": "USD"
  },
  "created": "2018-12-03T22:00:22.970Z",
  "clearing": {
    "source": "standard",
    "destination": "same-day"
  },
  "metadata": {
    "paymentId": "12345678",
    "note": "Payment for completed work Dec. 1"
  },
  "achDetails": {
    "source": {
      "addenda": {
        "values": [
          "ABC123_AddendaValue"
        ]
      },
      "beneficiaryName": "John Doe",
      "companyEntryDescription": "PAYMENT",
      "companyId": "1234567890",
      "companyName": "Acme Corporation",
      "effectiveDate": "2021-12-01",
      "postingData": "Acme Corporation:Payment Reference:John Doe",
      "routingNumber": "222222226",
      "traceId": "222222225926346"
    },
    "destination": {
      "addenda": {
        "values": [
          "ZYX987_AddendaValue"
        ]
      },
      "beneficiaryName": "Jane Smith",
      "companyEntryDescription": "PAYMENT",
      "companyId": "1234567890",
      "companyName": "Acme Corporation",
      "effectiveDate": "2021-12-01",
      "postingData": "Acme Corporation:Payment Reference:Jane Smith",
      "routingNumber": "222222226",
      "traceId": "222222225926346"
    }
  },
  "rtpDetails": {
    "destination": {
      "remittanceData": "ABC_123 Remittance Data",
      "networkId": "20210617021214273T1BG27487110796028",
      "endToEndReferenceId": "E2E-RTP-20210617-001"
    }
  },
  "fedNowDetails": {
    "destination": {
      "remittanceData": "ABC_123 Remittance Data",
      "networkId": "20240115123456789FEDNOW123456",
      "endToEndReferenceId": "E2E-FEDNOW-20240115-001"
    }
  },
  "correlationId": "8a2cdc8d-629d-4a24-98ac-40b735229fe2",
  "processingChannel": {
    "destination": "real-time-payments"
  }
}
```

### Error Response Example
```
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```

### Authorizations
- **Authorization**: string, header, required
  - The access token received from the authorization server in the OAuth 2.0 flow.

### Headers
- **Accept**: enum<string>, default: application/vnd.dwolla.v1.hal+json, required
  - The media type of the response. Must be application/vnd.dwolla.v1.hal+json.

### Path Parameters
- **id**: string, required
  - ID of transfer to be retrieved.
